Creates a new article stock location serial (status is always set to AVAILABLE)

Request Information

URI Parameters :

None.

Body Parameters :

article_stock_location_serial
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
article_id

Foreign key of article (mandatory)

globally unique identifier
article_stock_location_id

Foreign key of the article_stock_location (optional, use an empty guid when the serial is not linked to a stock location)

globally unique identifier
serial_number

Serial number (optional)

string

Max length: 255

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

status

Status of the serial (Read-only, always AVAILABLE when created through the API)

string
sys_logical_delete

Readonly system field managed by database

boolean
archived

Readonly archived flag

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "292d490c-b3d6-4b6d-a097-8d93ad86cefb",
  "article_id": "9e680a97-e12c-465f-adf6-5240711bdf1c",
  "article_stock_location_id": "4d5a570a-b7fd-4b64-b75d-68e7df890ee9",
  "serial_number": "sample string 4",
  "reference_back_office": "sample string 5",
  "status": "sample string 6",
  "sys_logical_delete": true,
  "archived": true,
  "modified_dateutc": "2026-10-26T23:50:08.1220271+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.